/* This is a small program for testing the functions in GetDbList.c
   available on http://www.nsftools.com (it also uses the IsWildcardMatch
   function from wildcard.c, also available on nsftools.com). The
   The GetDbList functions require the Lotus Notes C-API, available
   in the download section of http://domino.lotus.com

   This tester program was written by Ian Cherrill, who was kind enough to
   help me test out these functions. You can check out some of his other 
   Notes utilities at http://4nf.co.uk */

/* C include files */
#include <stdio.h>

/* Notes API include files */
#include <global.h>
#include <nsfdb.h>

/* Julian's functions */
#include "getdblist.h"
#include "wildcard.h"

/* Main Notes API routine */
STATUS LNPUBLIC NotesMain (int argc, char *argv[])
{
	STATUS error = NOERROR;          /* return status from API calls */
	BOOL is_a_match;
	char directory_name[MAXPATH] = "";
	char server_name[MAXUSERNAME] = "";
	char filter_specification[MAXPATH] = "*";
	char database_name[MAXPATH];
	char database_short_name[MAXPATH];

/* Get the command line parameters that the user entered. */
	if (argc > 1) strcpy (directory_name, argv[1]);
	if (argc > 2) strcpy (filter_specification, argv[2]);
	if (argc > 3) strcpy (server_name, argv[3]);

	while (GetNextDbName (server_name, directory_name, database_name, &error))
	{
		is_a_match = IsWildcardMatch(filter_specification, database_name, FALSE);

		if (is_a_match)
		{
			GetDbNameOnly(database_short_name);
			printf ("\n[PATH]: %s [FILE]: %s", database_name, database_short_name);
		}
	}

	return NOERROR;
}

